function SheetSwitched (ncount)
     StopSheet=true;
return;end;
function Timer(ncount, Param1)
     if not StopSheet then
          AlfingSheet();
          StopSheet=false;
     return;end;
return;end;
function gameinput (sender,obj_id,attachedID)

  if sender == 2 then
      RemoveFromMouse(object);
    MessageProc(sender,obj_id);
  return;end;
     if sender==36 then          
          if obj_id==9999 then
               if not StopSheet then
                    AlfingSheet();
                    StopSheet=false;
               return;end;
          return;end;                    
     return;end;
     if sender==35 then
    if obj_id==901 then
      StartAnimation(901,0,3)
    return;end;  
  return;end;   
  if sender==26 then
    if obj_id==6 then 
      collaps_obj(126,0,0,10,1);           
    return;end;  
  return;end;
  if sender==12 then
  if SLevel==1.0 then return;end;
    if flags.loc2 then
      if flags.loc2 and flags.loc3 then
      flags.loc2= false;
      flags.levelcomplete=true;
      DarkScreen(true);
      ShowMenu(false)
      return; end;
    -- CreateWindow(150,250,"199",nil,nil,250,30);      
    return;end;  
  return;end;
  if sender==33 then
    BlockCursor(false);
    if obj_id==501 then -- тёмная плашка
      BlockCursor(false);
      if whole_darkness then
         if flags.levelcomplete then
          SetAlfa(500,0,1,1);
          speciale_action(4,500);
          BlockCursor(true);

        return;end;      
         --затемнилось
      return;end;
      whole_darkness=false;
         -- растемнилось
              AddParticleToObject(12,"cat3",821,343);
        MoveEmiter("cat3",821,343);
        if flags.cat then
          StartEmiter("cat3"); 
        end;
              AddParticleToObject(126,"zapiska",201,351);
        MoveEmiter("zapiska",201,351);
        if (not flags.letter) then
          StartEmiter("zapiska"); 
        end;
    return;end;     
    if obj_id==503 then --название levовня
        BlockCursor(false);
      if whole_darkness then
         --затемнилось
      return;end;      
      -- проявление меню вывод собщений в начале levовня ----
      ShowMenu(true);
      -- CreateWindow(150,250,"196",nil,nil,250,30);       
--playeffect("01");  
      ------
    return;end;
  return;end;
    if pause_state then
    if sender==1 or sender==6 or sender==14 then
      pause_state=false;
      --set_visible_object(11111,false);
    end;  
  return;end;
  if sender == 1 then --кликнули левой кнопкой мыши на активный объект
  

      
        if obj_id==12 then
           if attachedID == -1 then
          CreateWindow(150,250,"201",nil,nil,250,30);
          --playeffect("01");  
           return; end;
           if attachedID == 119 then --мышь
           playeffect("mau2");
             flags.cat = false;
             Set_Cursor(12,3);
             Set_Cursor(56,2)
             speciale_action(2,12);
            StopEmiter("cat3");
            set_visible_object(56,true)
          AddParticleToObject(56,"glob",824,387);
          MoveEmiter("glob",824,387);
          if (not flags.gazeta) then
            StartEmiter("glob"); 
          end;          
             RemoveFromMouse(attachedID);
             SetAlfaSheet(2.0)
             DeleteElement("gr",attachedID);
             -- CreateWindow(150,250,"208",nil,nil,250,30);
           return; end;
           if (attachedID ~= 119) and  (attachedID > -1)  then
           RemoveFromMouse(attachedID);
          CreateWindow(150,250,"200",nil,nil,250,30);
          --playeffect("01");  
           return; end;
         
       return; end;    

       if attachedID == -1 then
      if obj_id==501 then
  --        if whole_darkness then
        if flags.levelcomplete then
          LoadNextLevel()  
        return;end;        
            DarkScreen(false);
            whole_darkness=false;
          SetAlfa(503,1,0,1);
      return;end;          
      if obj_id==67 then
        setcurentleaf("barton_vhod",15,0);
          playeffect("door");
        SwitchToSheet("gr");
        savegame(SaveLevel());
      return; end;
      
      if obj_id == 68 then
      if (not flags.first) then
        setcurentleaf("oranjereya",15,2);
        SwitchToSheet("re");
          playeffect("door");
        whole_darkness=false;
        DarkScreen(true);
        SetAlfa(503,0,1,1);
        speciale_action(4,503);
        flags.first= true;
        ShowMenu(false)
      return; end;
      setcurentleaf("oranjereya",15,2);
      SwitchToSheet("re");
        playeffect("door");
        savegame(SaveLevel());
      return; end;
       
      
      
        if obj_id==126 then 
        if not flags.first1 then
          speciale_action(2,70);
          playeffect("paper");
          StopEmiter("zapiska"); 
          flags.first1 =true;
        return; end;              
      return; end;              
        
        if obj_id==70 then 
          -- setcolor(126,0,0,0,0.5,1);
          -- MoveObjectToTree(126);
          Set_Cursor(126,3);
          CreateWindow(150,250,"206",6,nil,250,20);  
          --playeffect("01");  
          playeffect("paper");
          speciale_action(2,70);
          -- Set_Cursor(126,3)
          flags.letter=true;
        return; end;  
    ---  return; end;
  
          if obj_id==56 then -- корова бык
          if (not flags.gazeta) then -- корова бык  
            if not flags.cat then
            
                speciale_action(2,75,true)
              
              speciale_action(2,8,true)
              Set_Cursor(8,4)
            return; end;  
          CreateWindow(150,250,"202",nil,nil,250,30);
          --playeffect("01");  
          return; end;
                  return; end;
          if obj_id==8 then -- корова бык  
            speciale_action(2,77);
playeffect("paper");            
            speciale_action(2,8);
          return; end;
          if obj_id==77 then -- корова бык
            flags.gazeta=true;  
            StopEmiter("glob"); 
            playeffect("paper");
            speciale_action(2,77);  
            speciale_action(2,8);
            
              speciale_action(2,75,true)
            
            CreateWindow(150,250,"204",nil,nil,250,30);
            --playeffect("01");  
            SetAlfa(8,0,0,1);
            collaps_obj(8,0,0,10,0);
            setcolor(8,0,0,0,0.5,1);    
            Set_Cursor(56,3);
          return; end;        

      
      if obj_id > 0 and obj_id < 300 and attachedID == -1 then --кликаем на активный объект
        playeffect("20");
            collaps_obj(obj_id,0,0,10,1);
          return 0; end
    return; end;  
  return; end;

      -----------------------------------------------На сцене отработали все объекты-------------------------
  if sender==14 then
    if obj_id>0 then
    StopSheet=true;
    object=obj_id
      addObjectToMouse(obj_id);
    return; end;
  return; end;  

  if sender==4 then
  -- WriteToConsole("sender = 4, lev15.1".." "..sender.."\n")
  if SLevel==1.0 then return;end;
    flags.loc2 = true;
    CreateWindow(150,250,"199",nil,nil,250,30);
  
------------------------------------------------------------------------------------------------------------------  

      
  return; end;
  
end
function SelectRandom()
  idObject=GetRandomObject();
  if idObject==8 then
   if flags.cat then
      selectrandomobject(1.5,12);
    end;
      selectrandomobject(1.5,56);
  return; end;  
  if flags.gazeta and flags.letter then
    selectrandomobject(1.5,68);
  end;  
  if not flags.letter then
    selectrandomobject(1.5,126);
  end;  
  selectrandomobject(1.5,idObject);
end;
function SelectRandomRadar(idObject)
  if idObject==8 then
      selectrandomobject(1.5,56);
return;end;  

  if flags.loc2 then
    if not flags.loc1 then
      selectrandomobject(1.5,67);
     end;
    if not flags.loc3 then
      selectrandomobject(1.5,68);
    end;
  return; end;
  
  selectrandomobject(1.5,idObject);
end;
